Package fr.gouv.vitam.storage.offers.tape.impl.catalog

# Class TapeCatalogServiceImpl

java.lang.Object
fr.gouv.vitam.storage.offers.tape.impl.catalog.TapeCatalogServiceImpl

All Implemented Interfaces:
  `TapeCatalogService`

public class TapeCatalogServiceImpl extends Object implements TapeCatalogService

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TapeCatalogServiceImpl(TapeCatalogRepository tapeCatalogRepository)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `create(TapeCatalog tapeCatalog)`
  `List<TapeCatalog>`
  `find(List<QueryCriteria> criteria)`
  `TapeCatalog`
  `findById(String tapeId)`
  `Map<Integer,TapeCatalog>`
  `init(String tapeLibraryIdentifier, TapeLibrarySpec libraryState)`
  Return map of drive index with his current tape If all drive are empty then return an empty map
  `void`
  `markReady(String queueId)`
  `Optional<TapeCatalog>`
  `receive(org.bson.conversions.Bson inQuery)`
  `boolean`
  `replace(TapeCatalog tapeCatalog)`
  `boolean`
  `update(String tapeId, Map<String,Object> criteria)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TapeCatalogServiceImpl

    public TapeCatalogServiceImpl(TapeCatalogRepository tapeCatalogRepository)

- ## Method Details

  - ### create

    public void create(TapeCatalog tapeCatalog) throws TapeCatalogException
    Specified by:
      `create` in interface `TapeCatalogService`
    Throws:
      `TapeCatalogException`

  - ### replace

    public boolean replace(TapeCatalog tapeCatalog) throws TapeCatalogException
    Specified by:
      `replace` in interface `TapeCatalogService`
    Throws:
      `TapeCatalogException`

  - ### update

    public boolean update(String tapeId, Map<String,Object> criteria) throws TapeCatalogException
    Specified by:
      `update` in interface `TapeCatalogService`
    Throws:
      `TapeCatalogException`

  - ### init

    public Map<Integer,TapeCatalog> init(String tapeLibraryIdentifier, TapeLibrarySpec libraryState) throws TapeCatalogException
    Description copied from interface: `TapeCatalogService`
    Return map of drive index with his current tape If all drive are empty then return an empty map
    Specified by:
      `init` in interface `TapeCatalogService`
    Parameters:
      `tapeLibraryIdentifier` -
      `libraryState` -
    Returns:
    Throws:
      `TapeCatalogException`

  - ### findById

    public TapeCatalog findById(String tapeId) throws TapeCatalogException
    Specified by:
      `findById` in interface `TapeCatalogService`
    Throws:
      `TapeCatalogException`

  - ### find

    public List<TapeCatalog> find(List<QueryCriteria> criteria) throws TapeCatalogException
    Specified by:
      `find` in interface `TapeCatalogService`
    Throws:
      `TapeCatalogException`

  - ### markReady

    public void markReady(String queueId) throws QueueException
    Specified by:
      `markReady` in interface `TapeCatalogService`
    Throws:
      `QueueException`

  - ### receive

    public Optional<TapeCatalog> receive(org.bson.conversions.Bson inQuery) throws QueueException
    Specified by:
      `receive` in interface `TapeCatalogService`
    Throws:
      `QueueException`